https://github.com/rkd77/elinks/issues/204
https://github.com/rkd77/elinks/pull/205

From 5cb602191830737531f8c715f47f7429959b2471 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Sat, 31 Dec 2022 21:06:57 +0000
Subject: [PATCH] Fix build failures with mujs

Closes: https://github.com/rkd77/elinks/issues/204
Signed-off-by: Sam James <sam@gentoo.org>
--- a/src/document/html/parser/general.c
+++ b/src/document/html/parser/general.c
@@ -41,6 +41,9 @@
 /* Unsafe macros */
 #include "document/html/internal.h"
 
+#if defined(CONFIG_ECMASCRIPT_SMJS) || defined(CONFIG_QUICKJS) || defined(CONFIG_MUJS)
+#include "ecmascript/ecmascript.h"
+#endif
 
 void
 html_span(struct html_context *html_context, char *a,
--- a/src/document/html/parser/stack.c
+++ b/src/document/html/parser/stack.c
@@ -27,6 +27,10 @@
 /* Unsafe macros */
 #include "document/html/internal.h"
 
+#if defined(CONFIG_ECMASCRIPT_SMJS) || defined(CONFIG_QUICKJS) || defined(CONFIG_MUJS)
+#include "ecmascript/ecmascript.h"
+#endif
+
 #if 0 //def CONFIG_XML
 #include <libxml++/libxml++.h>
 #endif
--- a/src/ecmascript/ecmascript.h
+++ b/src/ecmascript/ecmascript.h
@@ -5,6 +5,8 @@
 /* In the future you will get DOM, a complete ECMAScript interface and free
  * plasm displays for everyone. */
 
+#include <stdbool.h>
+
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif

